From a2e14c1193262280eff767992fb2c4e5098a7072 Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Sun, 8 Jul 2018 20:10:47 +0200
Subject: [PATCH] Add a wrapper around Liferea to display a deprecation
 warning. (#11082)

---
 .../usr/local/bin/liferea                     | 52 +++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100755 config/chroot_local-includes/usr/local/bin/liferea

diff --git a/config/chroot_local-includes/usr/local/bin/liferea b/config/chroot_local-includes/usr/local/bin/liferea
new file mode 100755
index 0000000000..a71dcce3ef
--- /dev/null
+++ b/config/chroot_local-includes/usr/local/bin/liferea
@@ -0,0 +1,52 @@
+#!/usr/bin/env python3
+
+"""
+Tails Liferea wrapper
+"""
+
+import os
+import sh
+import sys
+
+from gettext import gettext
+
+LIFEREA = '/usr/bin/liferea'
+os.environ['TEXTDOMAIN'] = 'tails'
+
+
+def main():
+    disabled_text = gettext('Liferea is deprecated')
+    question_text = gettext('Do you wish to start Liferea anyway?')
+    warning_text = gettext(
+        "Due to security concerns the Liferea RSS reader from a future "
+        "version of Tails. Please migrate your feeds to Thunderbird."
+    )
+
+    dialog_msg = '<b><big>{}</big></b>\n\n{}\n\n{}\n'.format(
+          disabled_text,
+          warning_text,
+          question_text,
+    )
+
+    exit_text = gettext('_Exit')
+    launch_text = gettext('_Launch')
+
+    # results 0 == True; 1 == False; 5 == Timeout
+    results = sh.zenity(
+        '--question',
+        '--title', '',
+        '--default-cancel',
+        '--ok-label', launch_text,
+        '--cancel-label', exit_text,
+        '--text', dialog_msg,
+        _ok_code=[0, 1, 5],
+    )
+
+    if results.exit_code != 0:
+        return 1
+
+    return os.execv(LIFEREA, [LIFEREA] + sys.argv[1:])
+
+
+if __name__ == '__main__':
+    sys.exit(main(*sys.argv[1:]))
-- 
2.18.0

